; Patch for cis.geo (302576 bytes)

; by Marcus Groeber, CIS: 100712,270

; This patch modfies the CIS4GEOS client to run without requiring the
; book.geo library, which is not normally found on non-zoomer machines...
; In addition, it removes a number of bugs and incompatibilites from the
; program.

; The patch file is intented to be used with either OS/2's PATCH command
; (use PATCH /a cis_all.pat to call it with a script file) or with my
; PATCH.EXE program (use PATCH cis_all.pat).

FILE cis.geo

; Remove book.geo and borlandc.geo references
VER 00000190 626F6F6B2020202000402500
VER 000001AC 626F726C616E646300400100
VER 00003E58 000000
VER 00005315 045A371104
VER 00044CC3 C0
VER 000488F3 C0

; Fix a few bugs in the application...
; * Incompatibilty caused by modified ChunkArrayCreateAt-API
VER 000084d9 b804005033c0
VER 000084e1 c304
VER 00008ac5 33c0
VER 00008ac9 c304
VER 00009c52 33c0
VER 00009c56 c304
VER 0001125f 33c0
VER 00011263 c304
; * Correct signed promotion (char)->(int) with GrCharWidth
VER 00006982 03de268a0798
VER 00006aaf 03df268a0798
; * Make sure that pointers to a block are not used after it is unlocked.
VER 000098C4 569A51030000
VER 00009926 5F5E8BE55DCA1800
VER 00009BEE 10
VER 00009EC6 E603
; * Make sure that the handle to a PLX file is checked for being non-zero,
; rather than signed-positive. This problem causes errors for handles
; larger than 7FFFh and took me about a month to identify... The code still
; contains a mixture of file functions that use 0 or -1, respectively, to
; denote invalid handles, but this will only be likely to cause problems if
; file creation ever fails.
VER 0002DCBA 7D

; *** End of verification - file can be patched now ***

; Remove book.geo and borlandc.geo references
CHA 00000190 67656F732020202000408E02
CHA 000001AC 67656F732020202000408E02
CHA 00003E58 A900A9
CHA 00005315 015A371101
CHA 00044CC3 00
CHA 000488F3 00

; Fix a few bugs in the application...
; * Incompatibilty caused by modified ChunkArrayCreateAt-API
CHA 000084d9 bb0400535090
CHA 000084e1 8c06
CHA 00008ac5 5090
CHA 00008ac9 8c06
CHA 00009c52 5090
CHA 00009c56 8c06
CHA 0001125f 5090
CHA 00011263 8c06
; * Correct signed promotion (char)->(int) with GrCharWidth
CHA 00006982 268a0030e490
CHA 00006aaf 268a0130e490
; * Make sure that pointers to a block are not used after it is unlocked.
CHA 000098C4 E80300E91E03
CHA 00009926 569A51030000C390
CHA 00009BEE 18
CHA 00009EC6 4804
; * Make sure that the handle to a PLX file is checked for being non-zero,
; rather than signed-positive. This problem causes errors for handles
; larger than 7FFFh and took me about a month to identify... The code still
; contains a mixture of file functions that use 0 or -1, respectively, to
; denote invalid handles, but this will only be likely to cause problems if
; file creation ever fails.
CHA 0002DCBA 75
